OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.MapBufferAlignment

Contents

- Extension Support
- Enums

Description

Synopsis

- glGetARBMapBufferAlignment :: MonadIO m => m Bool
- gl_ARB_map_buffer_alignment :: Bool
- pattern GL_MIN_MAP_BUFFER_ALIGNMENT :: GLenum

# Extension Support

glGetARBMapBufferAlignment :: MonadIO m => m Bool Source #

Is the ARB_map_buffer_alignment extension supported?

gl_ARB_map_buffer_alignment :: Bool Source #

Is the ARB_map_buffer_alignment extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBMapBufferAlignment` in those cases instead.

# Enums

pattern GL_MIN_MAP_BUFFER_ALIGNMENT :: GLenum Source #